package com.ruoyi.web.v3.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbReleaseRecordEntity;
import com.ruoyi.web.v3.model.request.HbReleaseRecordPageReq;


/**
 * <p>
 * v3.0出厂情况登记 服务类
 * </p>
 */
public interface IHbReleaseRecordService extends IService<HbReleaseRecordEntity> {

    AjaxResult add(HbReleaseRecordEntity request);

    AjaxResult edit(HbReleaseRecordEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbReleaseRecordPageReq request);

    AjaxResult listAll();
}
